Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xpath
Class XPathSupportDefault

    java.lang.Object
      |
      +--weblogic.apache.xml.dtm.DTMManager
            |
            +--weblogic.apache.xpath.XPathContext
                  |
                  +--weblogic.apache.xalan.xpath.XPathSupportDefault

Deprecated. This compatibility layer will be removed in later releases.

public class XPathSupportDefault
extends XPathContext
implements XPathSupport

Default class for execution context when XPath is used by itself. Many of the functions in this class need to be overridden in order to perform correct execution of the XPath (for instance, variable execution). This class will likely eventually replace XMLParserLiaisons.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Inner classes inherited from class weblogic.apache.xpath.XPathContext
`XPathContext.XPathExpressionContext`

Fields inherited from class weblogic.apache.xpath.XPathContext
`m_currentExpressionNodesFirstFree, m_currentNodesFirstFree, m_dtmManager, m_primaryReader, RECURSIONLIMIT`

Fields inherited from class weblogic.apache.xml.dtm.DTMManager
`IDENT_DTM_DEFAULT, IDENT_DTM_NODE_BITS, IDENT_MAX_DTMS, IDENT_NODE_DEFAULT, m_incremental, m_xsf`

Constructor Summary
`XPathSupportDefault()` Deprecated.

Methods inherited from class weblogic.apache.xpath.XPathContext
`createDocumentFragment, createDTMIterator, createDTMIterator, createDTMIterator, createDTMIterator, getAxesIteratorStackStacks, getContextNode, getContextNodeList, getContextNodeListsStack, getContextNodes, getCurrentExpressionNode, getCurrentExpressionNodesFirstFree, getCurrentExpressionNodeStack, getCurrentNode, getCurrentNodeFirstFree, getCurrentNodeList, getCurrentNodeStack, getDTM, getDTM, getDTMHandleFromNode, getDTMIdentity, getDTMManager, getErrorListener, getExpressionContext, getExtensionsTable, getIteratorRoot, getNamespaceContext, getOwnerObject, getPredicatePos, getPredicateRoot, getPrimaryReader, getSAXLocator, getSourceTreeManager, getSubContextList, getURIResolver, getVarStack, popContextNodeList, popCurrentExpressionNode, popCurrentNode, popCurrentNodeAndExpression, popExpressionState, popIteratorRoot, popNamespaceContext, popPredicatePos, popPredicateRoot, popSAXLocator, popSubContextList, pushContextNodeList, pushCurrentExpressionNode, pushCurrentNode, pushCurrentNodeAndExpression, pushExpressionState, pushIteratorRoot, pushNamespaceContext, pushNamespaceContextNull, pushPredicatePos, pushPredicateRoot, pushSAXLocator, pushSAXLocatorNull, pushSubContextList, release, reset, setAxesIteratorStackStacks, setContextNodeListsStack, setCurrentExpressionNodeStack, setCurrentNodeStack, setErrorListener, setNamespaceContext, setPrimaryReader, setSAXLocator, setSourceTreeManager, setURIResolver, setVarStack`

Methods inherited from class weblogic.apache.xml.dtm.DTMManager
`getDTMIdentityMask, getIncremental, getNodeIdentityMask, getXMLStringFactory, newInstance, setIncremental, setXMLStringFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathSupportDefault

    public XPathSupportDefault()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference